Skip to Content

ENS

resolveENS

Resolves an ENS name (e.g. vitalik.eth) to its Ethereum address. Returns the resolved address or 404 if the name cannot be resolved.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "resolveENS",
  "params": {
    "name": "vitalik.eth"
  },
  "id": 1
}

Parameters

NameRequiredDescription
nameyesENS name to resolve
e.g. vitalik.eth

Response Fields

FieldType
dataobject
namestring
addressstring

Supported Networks

Ethereum
Try It
{
  "jsonrpc": "2.0",
  "method": "resolveENS",
  "params": {
    "name": "vitalik.eth"
  },
  "id": 1
}

reverseENS

Performs a reverse ENS lookup to find the primary ENS name associated with an Ethereum address.

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "reverseENS",
  "params": {
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
  },
  "id": 1
}

Parameters

NameRequiredDescription
addressyesEthereum address (0x...)
e.g. 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045

Response Fields

FieldType
dataobject
addressstring
namestring

Supported Networks

Ethereum
Try It
{
  "jsonrpc": "2.0",
  "method": "reverseENS",
  "params": {
    "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
  },
  "id": 1
}